﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlyADBase
{
    public class IStatusChangedEventArgs : EventArgs
    {
        public IStatusChangedEventArgs(DateTime time, UInt16 istatus, UInt16 ichanged, int pos, int pos2)
        {
            Time = time;
            IStatus = istatus;
            IChanged = ichanged;
            Position = pos;
            Position2 = pos2;
        }

        /// <summary>
        /// 开始时间点
        /// </summary>
        public DateTime Time;
        /// <summary>
        /// 输入口状态
        /// </summary>
        public UInt16 IStatus;
        /// <summary>
        /// 变化量
        /// </summary>
        public UInt16 IChanged;
        /// <summary>
        /// 变化时的脉冲1
        /// </summary>
        public int Position;
        /// <summary>
        /// 变化时的脉冲2
        /// </summary>
        public int Position2;

    }
    public delegate void IStatusChangedEventHandler(object sender, IStatusChangedEventArgs e);
}
