﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Misc;
using System.IO;
using Newtonsoft.Json;

namespace Flyad7_WPF
{
    public class DebugAppParam : INotifyPropertyChanged
    {
        

        public string EPStr { get; set; } = "192.168.251.10:20006";

        public bool HasTimeGrid { get; set; }


        public bool HasGrid { get; set; }


        public bool HasGridAdv { get; set; }

        public bool HasCRC { get; set; }


        public int FB_Pos1 { get; set; } = 1000;

        public int FB_Pos2 { get; set; } = 3000;


        public UInt32 Velocity { get; set; }
        public UInt32 SVelocity { get; set; }
        public UInt32 ATime { get; set; }
        public UInt32 DTime { get; set; }
        public UInt32 HVelocity1 { get; set; }
        public UInt32 HVelocity2 { get; set; }

        public int PosLen;
        public int ADLag { get; set; }
       
        #region INotifyPropertyChanged 成员
        public event PropertyChangedEventHandler PropertyChanged;
        #endregion

        public void Save()
        {
            Misc.SaveToXmlHepler.Save(file_path, this);
        }

        string file_path = "param.xml";
        public void Load()
        {
            Misc.SaveToXmlHepler.Load(file_path, this);
        }


    }
    public class DebugAppParamJsonDB
    {
        public string EPStr;

        public bool HasTimeGrid;


        public bool HasGrid;


        public bool HasGridAdv;

        public bool HasCRC;


        public int FB_Pos1;

        public int FB_Pos2;
    }

}
