﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net;

using FObjBase;
using FLY.Thick.Base.Client;
using FLY.Thick.Base.IService;
using FLY.Thick.Base.Common;
using FLY.Thick.BulkDataModule;
namespace ThickTcpUiInWindow
{
    /// <summary>
    /// 设备
    /// </summary>
    public abstract class TDGage
    {
        /// <summary>
        /// bulkdata 客户端
        /// </summary>
        public BulkDataServiceClientAdv mBulkDataClient;

        /// <summary>
        /// 定点服务
        /// </summary>
        public FixServiceClient mFixService;

        /// <summary>
        /// 报警管理
        /// </summary>
        //public WarningServiceSimple mWarningService;

        /// <summary>
        /// 扫描报警
        /// </summary>
        public ScanWarningService mScanWarningService;

        /// <summary>
        /// 动态数据
        /// </summary>
        public DynAreaServiceClient mDynAreaService;

        /// <summary>
        /// 设备基本动作 F1~F5
        /// </summary>
        public TDGageServiceClient mTDGageService;

        /// <summary>
        /// 系统参数
        /// </summary>
        public InitParamServiceClient mInitParam;

        /// <summary>
        /// 界面配置
        /// </summary>
        public SysParam mSysParam;
    }
}
