﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using FObjBase;
using FLY.Thick.Base.Common;

namespace FLY.Thick.Base.OBJ_INTERFACE
{
    public class FLYAD_OBJ_INTERFACE
    {

        #region Pack
        public class Pack_Params
        {
            public string ep;
            public int poslen;
            public MOTORTYPE motortype;
            public UInt16 posofgrid;
            public UInt16 ratio01;
            public UInt16 ratio02;
            public Int16 posoffset;
            public UInt32 jogvelocity;
            public bool hasCRC;
            public int gridsmooth;

        }

        public class Pack_SetAccessRequest
        {
            public byte[] data;
        }
        public class Pack_GetGridRequest
        {
            public Misc.DIRECTION direction;
        }
        #endregion

        #region GetValue
        /// <summary>
        /// json Pack_Params
        /// </summary>
        public const UInt16 GET_PARAMS = 0;
        #endregion
        #region SetValue
        /// <summary>
        /// json Pack_Params
        /// </summary>
        public const UInt16 SET_PARAMS = 0;
        #endregion
        #region PushMsg
        /// <summary>
        /// json Pack_Params
        /// </summary>
        public const UInt16 PUSH_PARAMS = 0;
        #endregion
        #region CallFunction
        /// <summary>
        /// request:null
        /// reponse:json AccessInfo
        /// </summary>
        public const UInt16 CALL_GETACCESSINFO = 8;
        /// <summary>
        /// request:Pack_SetAccessRequest
        /// reponse:json AccessInfo
        /// </summary>
        public const UInt16 CALL_SETACCESS = 9;
        /// <summary>
        /// request:Pack_GetGridReqest
        /// reponse:json GridInfo
        /// </summary>
        public const UInt16 CALL_GETGRID = 10;
        /// <summary>
        /// request:null
        /// reponse:null
        /// </summary>
        public const UInt16 CALL_UPDATEPARAM = 11;
        #endregion
    }
}
