﻿using Misc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlyADBase
{
    public class GridIStatusEventArgs : EventArgs
    {
        public Misc.DIRECTION direction;
        /// <summary>
        /// 输入口 1~12
        /// </summary>
        public int istatus_no;
        public Int32 marker;//扫描标记
        /// <summary>
        /// 扫描开始点
        /// </summary>
        public int pos_start;
        /// <summary>
        /// 扫长度
        /// </summary>
        public int pos_len;
        /// <summary>
        /// 输入口 信号为0, 的范围段
        /// </summary>
        public List<Range> data_0;
        /// <summary>
        /// 输入口 信号为1, 的范围段
        /// </summary>
        public List<Range> data_1;
    }
    public delegate void GridIStatusEventHander(object sender, GridIStatusEventArgs e);
}
