﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlyADBase
{
    public class TimeGridEventArgs : EventArgs
    {
        public TimeGridEventArgs()
        {

        }
        public TimeGridEventArgs(DateTime time, TimeSpan tspan, int[] data)
        {
            Time = time;
            Ts = tspan;
            Data = data;
        }
        /// <summary>
        /// 数据
        /// </summary>
        public int[] Data { get; set; }
        /// <summary>
        /// 单数据时间间隔
        /// </summary>
        public TimeSpan Ts { get; set; }

        /// <summary>
        /// 开始时间点
        /// </summary>
        public DateTime Time { get; set; }
    }
    public delegate void TimeGridEventHandler(object sender, TimeGridEventArgs e);
}
