﻿using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ThickTcpUiInWindow
{
    interface ICtMicroGageVm:INotifyPropertyChanged
    {
        double Thick { get; set; }
        int AD { get; set; }
        int ADMax { get; set; }
        int Position { get; set; }
        int PosLength { get; set; }
        double Posmm { get; set; }
        double Velocity { get; set; }

        string ControllerState { get; set; }

        UInt16 OStatus { get; set; }
        UInt16 IStatus { get; set; }

        bool IsError { get; set; }
        /// <summary>
        /// 异常消息
        /// </summary>
        string ErrMsg { get; set; }

        RelayCommand StopCmd { get; }
        RelayCommand ForwCmd { get; }
        RelayCommand BackwCmd { get; }
        RelayCommand OrgCmd { get; }

    }
}
